> ## Documentation Index
> Fetch the complete documentation index at: https://docs.serial.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Approve or Reject Review

> Approve or reject a work order. Work order must be in the `REVIEW` state



## OpenAPI

````yaml PATCH /work-orders/{id}/approvals
openapi: 3.1.0
info:
  title: Serial
  version: '1.0'
  description: Access and control your Serial data programmatically.
  contact:
    name: Devon Copeland
    email: support@serial.io
    url: www.serial.io
  summary: Serial API
servers:
  - url: https://api.serial.io
security:
  - serial-default-security: []
tags:
  - name: AI
    description: AI Endpoints
  - name: Auth
    description: Auth Endpoints
  - name: Companies
    description: Company Endpoints
  - name: Component Instances
    description: Component Instance Endpoints
  - name: Components
    description: Component Endpoints
  - name: Datasets
    description: Dataset Endpoints
  - name: Fields
    description: Field Endpoints
  - name: Legacy
    description: Legacy Endpoints
  - name: Part Numbers
    description: Part Number Endpoints
  - name: Processes
    description: Process Endpoints
  - name: Properties
    description: Property Endpoints
  - name: Storage
    description: Storage Endpoints
  - name: Users
    description: User Endpoints
  - name: Work Orders
    description: Work Order Endpoints
paths:
  /work-orders/{id}/approvals:
    parameters:
      - $ref: '#/components/parameters/work-order-id'
    patch:
      tags:
        - Work Orders
      summary: Approve or Reject Review
      description: Approve or reject a work order. Work order must be in the `REVIEW` state
      operationId: patch-work-orders-id-approvals
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                approver_user_id:
                  type: string
                  x-stoplight:
                    id: j5stbua1wubu6
                  format: uuid
                status:
                  x-stoplight:
                    id: kzjef3tf0tk25
                  enum:
                    - APPROVED
                    - REJECTED
                comment:
                  type: string
                  x-stoplight:
                    id: 5e630yqd1be4y
              required:
                - approver_user_id
                - status
            examples:
              Example 1:
                value:
                  approver_user_id: cddaa2ad-a813-4e07-9ada-2d9c5fa02907
                  status: APPROVED
                  comment: Looks good! Let's get this going
      responses:
        '200':
          description: OK
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '404':
          description: Not Found
components:
  parameters:
    work-order-id:
      name: id
      in: path
      required: true
      schema:
        type: string
      description: >-
        The work order UUID (`work_order.id`) or work order number
        (`work_order.wo_number`). Both will map to the same work order
  securitySchemes:
    serial-default-security:
      type: http
      scheme: bearer
      description: '**API Key** or **Token** formatted as `Bearer <YOUR_KEY_OR_TOKEN>`'

````